> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch libraryv1beta1 standardactions

> Updates a standard action (keeps existing values for not specified fields).



## OpenAPI

````yaml /openapis/library.json patch /library/v1beta1/{libraryId}/standardActions/{standardActionId}
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v1beta1/{libraryId}/standardActions/{standardActionId}:
    patch:
      tags:
        - library
      description: >-
        Updates a standard action (keeps existing values for not specified
        fields).
      operationId: library:v1beta1.StandardActions.patch
      parameters:
        - $ref: '#/components/parameters/libraryId_path_parameter'
        - $ref: '#/components/parameters/standardActionId_path_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiStandardAction'
        required: true
      responses:
        '200':
          description: A ApiStandardAction response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiStandardAction'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libraryId_path_parameter:
      name: libraryId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    standardActionId_path_parameter:
      name: standardActionId
      in: path
      required: true
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiStandardAction:
      type: object
      properties:
        active:
          type: boolean
          description: Whether the standard action has been activated in the library
        async:
          type: boolean
          description: >-
            Whether the action will be executed as an asynchronous task
            (read-only field)
        documentationUrl:
          type: string
          description: The URL to an external technical documentation
        executionContext:
          type: string
          description: >-
            The permission context in which the action will be executed
            (Possible values: RUN_AS_SYSTEM, RUN_AS_USER) (read-only field)
          enum:
            - RUN_AS_USER
            - RUN_AS_SYSTEM
        fullDescription:
          type: string
          description: >-
            A more comprehensive (rich-text) description of the purpose and
            behaviour of the standard action
        id:
          type: string
        kind:
          type: string
        name:
          type: string
          description: The name of the standard action (read-only field)
        pictureUrl:
          type: string
          description: >-
            The URL of the logo for the standard action (expected size is
            240x103, with transparent background)
        shortDescription:
          type: string
          description: A terse description of the purpose of the standard action
        type:
          type: string
          description: >-
            The type of the provided action (Possible values: RELATION_FILTER,
            RELATION_RENDER, UPDATE, VIEWER, WORKFLOW_TRANSITION) (read-only
            field)
          enum:
            - RELATION_FILTER
            - RELATION_RENDER
            - UPDATE
            - VIEWER
            - WORKFLOW_TRANSITION
            - REMINDER_CONDITION
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````